Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Package timeeditor :: Module view :: Class TimeEditorDialog |
[frames] | no frames]

# Class TimeEditorDialog

source code

    humblewx.Dialog --+
                      |
       framework.Dialog --+
                          |
                         TimeEditorDialog

    <BoxSizerVertical>
        <TimePicker
            name="time_picker"
            time_type="$(time_type)"
            config="$(config)"
            border="ALL"
        />
        <DialogButtonsOkCancelSizer
            border="BOTTOM|LEFT|RIGHT"
            event_EVT_BUTTON__ID_OK="ok_button_clicked"
        />
    </BoxSizerVertical>

Instance Methods
__init__(self, parent, config, time_type, time, title) | source code
SetTime(self, time) | source code
GetTime(self) | source code
Close(self) | source code
Inherited from `framework.Dialog`: `DisplayErrorMessage`, `DisplayInformationMessage`, `EndModalOk`